// --------------------------------------------------
// Line-Strike - Core build file
// --------------------------------------------------
#define PLUGIN		"linestrike"
#define VERSION		"1.1.3"
#define AUTHOR		"Geekrainian @ cuzus.games"
#define TEAM		"CUZUS.GAMES"
#define COPY		"(c) 2013 - 2015"

// Build based on:
//	AMXX v1.8.1.3
//	DProto v0.9.356
//	PODBot v03b22

//#pragma dynamic 32768		// stack & heap size (can help avoid of memory overflow)
//#pragma semicolon	1		// require all ";"
//#pragma tabsize 0			// warning 217: loose indentation

//#pragma ctrlchar '\'
//this sets the control character to backslash( c/c++/c#/java/... std )
// now you have to use the \ instead of ^
// e.g. "this is ^":D^" " must be now " this is \":D\" "

/*
Welcome to the AMX Mod X 1.8.1-300 Compiler.
Copyright (c) 1997-2006 ITB CompuPhase, AMX Mod X Team

Options:
        -A<num>  alignment in bytes of the data segment and the stack
        -a       output assembler code
        -C[+/-]  compact encoding for output file (default=-)
        -c<name> codepage name or number; e.g. 1252 for Windows Latin-1
        -Dpath   active directory path
        -d0      no symbolic information, no run-time checks
        -d1      [default] run-time checks, no symbolic information
        -d2      full debug information and dynamic checking
        -d3      full debug information, dynamic checking, no optimization
        -e<name> set name of error file (quiet compile)
        -H<hwnd> window handle to send a notification message on finish
        -i<name> path for include files
        -l       create list file (preprocess only)
        -o<name> set base name of output file
        -p<name> set name of "prefix" file
        -r[name] write cross reference report to console or to specified file
*/

#include <amxmodx>
#include <amxmisc>
#include <engine>
#include <fakemeta>
#include <fakemeta_util>
#include <cstrike>
#include <fun>
#include <hamsandwich>
#include <dhudmessage>
#include <xs>
//#include <orpheu>
//#include <orpheu_stocks>
//#include <nvault>
#include <sqlx>
#include <geoip>
//#include <httpdl>
#include <l2pe> // core natives

#include "core\Config.sc"
#include "core\PawnLog.sc"
#include "core\Const.sc"
#include "core\Cache.sc"
#include "core\Effects.sc"
#include "core\Util.sc"
//#include "core\PlayerModel.sc"
#include "core\Stocks.sc"
//#include "core\Natives.sc"
#include "core\Database.sc"
#include "core\Stats.sc"
//#include "core\ExperienceData.sc"
#include "core\GameMode.sc"
#include "core\MapFactory.sc"
#include "core\Player.sc"
#include "core\Warmup.sc"
#include "core\JoinLeave.sc"
#include "core\UponDeath.sc"
#include "core\SlowMo.sc"
#include "core\DropItem.sc"
#include "core\DropList.sc"
#include "core\Npc.sc"
#include "core\Guard.sc"
#include "core\Monster.sc"
#include "core\Summon.sc"
#include "core\HtmlMessage.sc"
#include "core\Avanpost.sc"			// Game Mode: Outpost Defense
#include "core\LastHero.sc"			// Game Mode: Last Hero
#include "core\TvT.sc"				// Game Mode: Team VS Team
#include "core\Spawnlist.sc"
#include "core\Camera.sc"
#include "core\SkillHandler.sc"
#include "core\Skills.sc"
#include "core\Respawn.sc"
#include "core\Login.sc"
#include "core\Say2.sc"
#include "core\Accessory.sc"
#include "core\Shoot.sc"
//#include "core\TargetGlow.inl"	// disabled
//#include "core\Inventory.inl"
//#include "core\PrivateStore.inl"
//#include "core\KillAssist.inl"
#include "core\KillStreak.sc"
#include "core\DLLFix.sc"
#include "core\Podbot.sc"
#include "core\TestSuite.sc"
#include "core\Core.sc"
